Files

Manage team files (knowledge base).

get

List files for the current team.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Responses
200

Default Response

application/json
get
/v1/files
patch

Rename a file in team storage.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Body
relativePathstring · min: 1Required

Current path of the file relative to the team's storage root

newFilenameOnlystring · min: 1Required

New file name (no extension; the existing extension is preserved)

Responses
200

Default Response

application/json
successbooleanRequired

True if the operation succeeded

patch
/v1/files
post

Generate a signed URL for uploading a file directly to GCS.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Body
fileNamestring · min: 1Required

Name of the file to upload

contentTypestring · min: 1Required

MIME type of the file

Responses
200

Default Response

application/json
signedUrlstring · uriRequired

The signed URL for uploading

expiresAtstring · date-timeRequired

When the URL expires

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
filePathstringRequired

The path where the file will be stored

post
/v1/files/create-upload-url
delete

Delete a file from team storage.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
*string · min: 1Required

Path of the file to delete relative to the team's storage root

Responses
200

Default Response

application/json
successbooleanRequired

True if the operation succeeded

delete
/v1/files/{*}
get

Generate a signed download URL for a file.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
*string · min: 1Required

Path of the file relative to the team's storage root

Responses
200

Default Response

application/json
urlstring · uriRequired

Signed download URL

expiresAtstring · date-timeRequired

ISO 8601 timestamp when the URL expires

Pattern: ^(?:(?:\d\d[2468][048]|\d\d[13579][26]|\d\d0[48]|[02468][048]00|[13579][26]00)-02-29|\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\d|30)|(?:02)-(?:0[1-9]|1\d|2[0-8])))T(?:(?:[01]\d|2[0-3]):[0-5]\d(?::[0-5]\d(?:\.\d+)?)?(?:Z))$
get
/v1/files/download-url/{*}
get

Get the content of a text file.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
*string · min: 1Required

Path of the file relative to the team's storage root

Responses
200

Default Response

application/json
contentstringRequired

UTF-8 decoded contents of the file

pathstringRequired

Relative path of the file

contentTypestringOptional

MIME content type inferred from the file extension

get
/v1/files/content/{*}
put

Update the content of a text file.

Authorizations
AuthorizationstringRequired

API key authentication. Get your API key from the Duvo dashboard.

Path parameters
*string · min: 1Required

Path of the file relative to the team's storage root

Body
contentstringRequired

New UTF-8 text content for the file

Responses
200

Default Response

application/json
successbooleanRequired

True if the operation succeeded

put
/v1/files/content/{*}

Last updated